System Requirements

Oracle Data Provider for .NET requires the following:

  • Microsoft .NET Framework 1.0 or later.

  • Windows Server 2003, Windows 2000, or Windows XP.

  • Access to Oracle8i Database release 3 (8.1.7) or later.

  • Oracle Client release 10.2 or later and Oracle Net Services (included with ODP.NET Software).

Additional requirements are the following:

  • Applications using Microsoft Enterprise Services transactions require Oracle Services for Microsoft Transaction Server release 10.2.

  • OracleXmlStream and OracleXmlType classes require access to Oracle9i Database release 2 (9.2) or later.

  • Applications using OracleXmlStream and OracleXmlType classes with schema-based XMLType require access to Oracle Database 10g release 1 (10.1) or later.

  • For database releases 8.1.7 and 9.0.1 only: To provide XML support, the following OracleCommand methods require Oracle XML Developer's Kit (Oracle XDK) release 9.2 or later to be installed on the database. Oracle XDK can be downloaded from Oracle Technology Network (OTN).

    • ExecuteStream

    • ExecuteToStream

    • ExecuteXmlReader

    • ExecuteNonQuery

See Also: